## com.sun.jersey.core.header.reader
Enum HttpHeaderReader.Event

    java.lang.Object
      java.lang.Enum<HttpHeaderReader.Event>
          com.sun.jersey.core.header.reader.HttpHeaderReader.Event

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HttpHeaderReader.Event>

Enclosing class:
  HttpHeaderReader

    public static enum HttpHeaderReader.Event

extends java.lang.Enum<HttpHeaderReader.Event>

Enum Constant Summary
`Comment`
`Control`
`QuotedString`
`Separator`
`Token`

Method Summary
`static HttpHeaderReader.Event` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HttpHeaderReader.Event[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Token

    public static final HttpHeaderReader.Event Token

### QuotedString

    public static final HttpHeaderReader.Event QuotedString

### Comment

    public static final HttpHeaderReader.Event Comment

### Separator

    public static final HttpHeaderReader.Event Separator

### Control

    public static final HttpHeaderReader.Event Control

Method Detail

### values

    public static HttpHeaderReader.Event[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HttpHeaderReader.Event c : HttpHeaderReader.Event.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HttpHeaderReader.Event valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Oracle Corporation. All Rights Reserved.